/*****************************************
 CARREGAR CIDADE
 funciona quando chamado a partir da raiz
 ******************************************/
function carregarCidade(id_select_estado, id_select_cidade) {
    //alert(id_select_estado+' - '+id_select_cidade);
    if ($('#' + id_select_estado).val() != '') {
        $('#' + id_select_cidade).html('<option value="">carregando...</option>');
        var estado = $('#' + id_select_estado).val();
        $.post("../public/ajax_carregar_cidade.php", {estado: estado}, function (result) {
            $('#' + id_select_cidade).html(result);
        });
    } else {
        $('#' + id_select_cidade).html('<option value=""></option>');
    }
}

$(document).ready(function () {

    /*****************************
     EXCLUIR
     *****************************/
    $('a[excluir=1]').click(function () {
        if (confirm('Deseja realmente excluir?')) {
            var pk = $(this).attr('pk');
            $('#idexcluir').val(pk);
            $('#fexcluir').submit();
        }
    });

    /************************
     VALIDAR FORM / req='1'
     ************************/
    $('input[validar=1]').click(function () {
        var classErro = 'erro_campo_obrigatorio';
        var validou = true;
        $('[req=1]').each(function (i) {
            if ($(this).val() == "") {
                validou = false;
                $(this).addClass(classErro);
            } else {
                $(this).removeClass(classErro);
            }
        });
        if (!validou) {
            alert('Verifique os campos obrigatórios');
            return false;
        }
    });

    /***************************
     PULA CAMPO DDD
     ***************************/
    $('[ddd1=1]').keyup(function () {
        var tamanho = $(this).val().length;
        if (tamanho >= 2) {
            $('[telefone1=1]').focus();
        }
    });
    $('[ddd2=1]').keyup(function () {
        var tamanho = $(this).val().length;
        if (tamanho >= 2) {
            $('[telefone2=1]').focus();
        }
    });

    /***************************
     CALENDARIO JS
     ***************************/
    $(function () {
        $('[calendario=1]').datepicker({changeMonth: true, changeYear: true});
    });

});